Bug 949073 - Review Request: check-mk - A new general purpose Nagios-plugin for retrieving data
Summary: Review Request: check-mk - A new general purpose Nagios-plugin for retrieving...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 19:47 UTC by Andrea Veri
Modified: 2013-10-01 14:51 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-20 20:04:08 UTC
giallu: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andrea Veri 2013-04-05 19:47:01 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/check-mk/nagios-check_mk.spec

SRPM URL: http://averi.fedorapeople.org/RPMs/check-mk/nagios-check_mk-1.2.0p4-1.fc18.src.rpm

Description: check_mk is a general purpose Nagios-plugin for retrieving data. It adopts a new approach for collecting data from operating systems and network components. It obsoletes NRPE, check_by_ssh, NSClient, and check_snmp and it has many benefits, the most important are a significant reduction of CPU usage on
the Nagios host and an automatic inventory of items to be checked on hosts.

Fedora Account System Username: averi

Comment 1 Colin Walters 2013-04-08 14:55:35 UTC
I'm not finding many other standalone nagios plugins in Fedora.  All that I see is the "nagios-plugins" katamari and a few subpackages of larger modules.

The first thing that struck me as odd is:

> tar xf agents.tar.gz

It has tarballs in tarballs?  I don't know whether this is normal for nagios agents or not.


Now, the install section.  At a high level, have you considered trying to do any of this upstream?  Does it not have "make install DESTDIR=" support?  If not, adding it there would reduce maintenance pain later.  Not a blocker though.

cat > %{buildroot}%{_datadir}/check_mk/modules/defaults <<'EOF'

Hmm...some of this seems like it should be configurable by the system administrator of the package.  But maybe that's already possible.

Those are just some quick comments; this is a hard package for me to review because of my unfamiliarity with nagios and the lack of another similar package as a comparison base.

Comment 2 Andrea Veri 2013-04-08 17:36:26 UTC
The check-mk upstream doesn't provide any autotool / autoconf files to properly configure and build the package. The upstream tarball is just a collection of tar.gz files that are then extracted and installed through the setup.sh file.

What we do in the packaging is different, we completely ignore the setup.sh file, we extract each of the tarballs and we install the files on the relevant directories.

Everything is then editable by the system administrator, the default configuration is what we provide, then there are many variables and tweaks to customize the installation.

Comment 3 Gianluca Sforna 2013-04-08 20:55:22 UTC
I'd like to help here, but as Colin noted we're a bit on our own since there are no other nagios plugins or specific guidelines.

I noticed you can actually use
DESTDIR=%{buildroot} ./setup.sh

I did not check where files ends up then, but it may be worth investigating because of the reasons mentioned.

It seems they just released 1.2.2, you may consider an upgrade before pushing it in the repos

At 7Mb compressed, looks like docs deserves a subpackage.

Comment 4 Gianluca Sforna 2013-04-08 21:23:06 UTC
The license does not look correct. At least, the top level COPYING is GPLv2; GPL is also mentioned on their web site.

Additionally, if I grep for license in the installed tree it seems each check has its  own license. Most of them are marked as GPL, a few GPLv2 and one GPLv3.

Guess we need to add all of them to the license tag

Comment 5 Andrea Veri 2013-04-09 16:23:04 UTC
Thanks for the comments Gianluca, I've just finished preparing the new package which uses setup.sh to build and install the sources. (apparently the livestatus build was fixed in this very latest 1.2.2 release)

The new urls:

SPEC: http://averi.fedorapeople.org/RPMs/check-mk/check-mk.spec

SRC.RPM: http://averi.fedorapeople.org/RPMs/check-mk/check-mk-1.2.2-1.fc18.src.rpm

I've also split the files in 4 subpackages, respectively docs, livestatus, agent and multisite. In addition to that I've cleaned up some leftovers and made a little trick for having the libraries correctly packaged on x86_64 builders.

Comment 6 Gianluca Sforna 2013-04-09 22:37:34 UTC
taking the review

Comment 7 Gianluca Sforna 2013-04-09 23:24:00 UTC
==== REVIEW CHECKLIST ====
- package named according to package naming guidelines
- package licensed with allowed license
- license matches actual license
- license file included in %doc
- spec written in American english
- spec legible
- sources match upstream sha256sum
- successfully builds in mock for rawhide x86_64
- no locales
- no shared libraries
- package owns all directories it creates
- macro usage is consistent
- package contains code
- large documentation moved to subpackage
- not a GUI app needing a .desktop file

- rpmlint has to say:

rpmlint /var/lib/mock/fedora-18-x86_64/result/*.rpm
check-mk.src: W: spelling-error %description -l en_US snmp -> snip, snap, sump
check-mk.src:151: E: hardcoded-library-path in %{_prefix}/lib/check_mk/livecheck
check-mk.src:152: E: hardcoded-library-path in %{_prefix}/lib/check_mk/livestatus.o
check-mk.src:153: E: hardcoded-library-path in %{_prefix}/lib/check_mk
check-mk.src:197: E: hardcoded-library-path in %{_prefix}/lib/check_mk
check-mk.x86_64: W: spelling-error %description -l en_US snmp -> snip, snap, sump
check-mk.x86_64: E: no-binary
check-mk.x86_64: W: non-conffile-in-etc /etc/check_mk/conf.d/README
check-mk.x86_64: W: non-conffile-in-etc /etc/check_mk/First-Installation.txt
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/counters nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/counters nagios
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/autochecks nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/autochecks nagios
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/wato nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/wato nagios
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/logwatch nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/logwatch nagios
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/precompiled nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/precompiled nagios
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/web nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/web nagios
check-mk.x86_64: E: incorrect-fsf-address /usr/share/doc/check-mk-1.2.2/COPYING
check-mk.x86_64: W: non-standard-uid /var/lib/check_mk/cache nagios
check-mk.x86_64: W: non-standard-gid /var/lib/check_mk/cache nagios
check-mk.x86_64: W: no-manual-page-for-binary check_mk
check-mk.x86_64: W: no-manual-page-for-binary cmk
check-mk.x86_64: W: no-manual-page-for-binary mkp
check-mk-agent.x86_64: E: incorrect-fsf-address /usr/share/doc/check-mk-agent-1.2.2/COPYING
check-mk-agent.x86_64: W: no-manual-page-for-binary check-mk-agent
check-mk-docs.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/check_mk/agents/README.OpenVMS
check-mk-docs.noarch: W: file-not-utf8 /usr/share/doc/check_mk/treasures/fsc-celsius-m470-sel-1.2.tar.gz
check-mk-docs.noarch: E: incorrect-fsf-address /usr/share/doc/check_mk/COPYING
check-mk-docs.noarch: W: class-path-in-manifest /usr/share/doc/check_mk/jasperreports/libs/com-jaspersoft-ireport.jar
check-mk-livestatus.x86_64: W: no-documentation
check-mk-livestatus.x86_64: W: no-manual-page-for-binary unixcat
check-mk-multisite.noarch: W: no-documentation
7 packages and 0 specfiles checked; 8 errors, 28 warnings.


that I consider harmless. Feel free to tell upstream about the license text address issue and maybe check if it is correct it's still shipping a .tar.gz file

No other blockers spotted so this package is APPROVED

Comment 8 Andrea Veri 2013-04-09 23:26:23 UTC
New Package SCM Request
=======================
Package Name: check-mk
Short Description: A new general purpose Nagios plugin for retrieving data
Owners: averi
Branches: f18 f19 el6
InitialCC: averi

Comment 9 Gwyn Ciesla 2013-04-10 10:47:59 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-04-10 12:47:33 UTC
check-mk-1.2.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-1.fc18

Comment 11 Fedora Update System 2013-04-10 12:47:49 UTC
check-mk-1.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-1.fc19

Comment 12 Fedora Update System 2013-04-10 12:50:04 UTC
check-mk-1.2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-1.el6

Comment 13 Fedora Update System 2013-04-10 15:14:00 UTC
check-mk-1.2.2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 14 Fedora Update System 2013-04-10 15:36:17 UTC
check-mk-1.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-2.fc19

Comment 15 Fedora Update System 2013-04-10 15:36:55 UTC
check-mk-1.2.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-2.el6

Comment 16 Fedora Update System 2013-04-10 15:37:30 UTC
check-mk-1.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-2.fc18

Comment 17 Fedora Update System 2013-04-12 08:58:56 UTC
check-mk-1.2.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-3.fc18

Comment 18 Fedora Update System 2013-04-12 08:59:10 UTC
check-mk-1.2.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-3.fc19

Comment 19 Fedora Update System 2013-04-20 20:04:11 UTC
check-mk-1.2.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-04-25 00:28:16 UTC
check-mk-1.2.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-04-27 14:36:25 UTC
check-mk-1.2.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-3.el6

Comment 22 Fedora Update System 2013-04-27 14:36:56 UTC
check-mk-1.2.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-4.fc19

Comment 23 Fedora Update System 2013-04-27 14:37:22 UTC
check-mk-1.2.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-4.fc18

Comment 24 Fedora Update System 2013-05-02 17:00:00 UTC
check-mk-1.2.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-5.fc18

Comment 25 Fedora Update System 2013-08-02 07:33:07 UTC
check-mk-1.2.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-5.fc19

Comment 26 Fedora Update System 2013-08-02 07:36:55 UTC
check-mk-1.2.2-5.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/check-mk-1.2.2-5.fc18.1

Comment 27 Fedora Update System 2013-08-26 22:28:31 UTC
check-mk-1.2.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2013-08-26 22:29:21 UTC
check-mk-1.2.2-5.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Andrea Veri 2013-10-01 14:12:43 UTC
Package Change Request
======================
Package Name: check-mk
New Branches: el5 
Owners: averi
InitialCC: averi

Comment 30 Gwyn Ciesla 2013-10-01 14:51:44 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.